#if !defined(AFX_TREECTRLPRO_H__05D26024_24F4_418F_9AC4_3F99CA3E57F4__INCLUDED_)
#define AFX_TREECTRLPRO_H__05D26024_24F4_418F_9AC4_3F99CA3E57F4__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TreeCtrlPro.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CTreeCtrlPro window

class CTreeCtrlPro : public CTreeCtrl
{
// Construction
public:
	CTreeCtrlPro();
	bool NeedUpdate;
// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTreeCtrlPro)
	protected:
	virtual LRESULT WindowProc(UINT message, WPARAM wParam, LPARAM lParam);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CTreeCtrlPro();
	void ExpandBranch(HTREEITEM nde);

	// Generated message map functions
protected:
	//{{AFX_MSG(CTreeCtrlPro)
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnSelchanging(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TREECTRLPRO_H__05D26024_24F4_418F_9AC4_3F99CA3E57F4__INCLUDED_)
